@echo off
setlocal enableextensions
set path=%path%;%windir%\system32;%windir%\command
set copycmd=/Y
cd /d "%~dp0"
cd bat
set Title=CLS lisenssimanagerin korjaus

:start
copy Task.lst Dlg_List.lst
start /w wrun radiobox 1 "%Title%" "Valitse toiminto:"
call "%temp%\Dlg_ret.bat"
if "%Dlg_Ret1%"=="@WR_ERR" goto end
set Task=%Dlg_Ret2%
if "%Task%"=="@WR_ERR" goto end
if "%Task%"=="4" goto reboot
if "%Task%"=="5" goto end

:version
copy SurfVer.lst Dlg_List.lst
start /w wrun listbox 15 "%Title%" "SURFCAM versio:"
call "%temp%\Dlg_ret.bat"
set SurfVer=%Dlg_Ret1%
change "%temp%\Dlg_ret.bat" "SURFCAM "  ""
call "%temp%\Dlg_ret.bat"
set ClsVer=%Dlg_Ret1%
if "%Dlg_Ret1%"=="@WR_ERR" goto end

set Bit=64bit
if "%ProgramFiles(x86)%"=="" set Bit=32bit
set StartupMenu=C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Startup
set ShortCut=CLS %ClsVer%.10.lnk

set ComDir=%CommonProgramFiles(x86)%
if "%ComDir%"=="" set ComDir=%CommonProgramFiles%
set ClsDir=%ComDir%\Planit\%ClsVer%.10\CLS
if "%ClsVer%"=="2016" set ClsDir=%ComDir%\Vero Software\%ClsVer%.10\CLS
if "%ClsVer%"=="2017" set ClsDir=%ComDir%\Vero Software\%ClsVer%.10\CLS
if not exist "%ClsDir%\CLS.EXE" goto CLS_setup_error

if "%Task%"=="1" goto startup
if "%Task%"=="2" goto priority
if "%Task%"=="3" goto startup

:startup
copy "..\Reg\CLS %ClsVer% %Bit% reg.txt" "reg.txt"
regedit /s "reg.txt"
if not exist "%StartupMenu%\*.*" goto Win_error
if not exist "%StartupMenu%\%ShortCut%" copy "..\ShortCut %Bit%\%ShortCut%" "%StartupMenu%"
if exist "%StartupMenu%\CLS2014R2.cmd" del "%StartupMenu%\CLS2014R2.cmd"
set TaskName=Korjattu CLS ohjelman kynnistys
if "%Task%"=="3" goto priority
goto ok

:priority
if not exist "%StartupMenu%\*.*" goto Win_error
if exist "%StartupMenu%\CLS2014R2.cmd" del "%StartupMenu%\CLS2014R2.cmd"
copy StartCLS.cmd "%ClsDir%"
copy "..\ShortCut %Bit%\High\%ShortCut%" "%StartupMenu%"
set TaskName=Korjattu CLS ohjelman prioriteetti suureksi
if "%Task%"=="3" set TaskName=Korjattu CLS ohjelman kynnistys ja prioriteetti suureksi
goto ok

:Win_error
start /w wrun msgbox exclamation ok defbutton1 "Virhe" "%Title% ei tue tt Windows jrjestelm"
goto end

:CLS_setup_error
start /w wrun msgbox exclamation yesno defbutton2 "Virhe" "%SurfVer% version CLS %ClsVer% lisenssimanageria ei lydy.~~Haluatko suorittaa toiminnon eri SURFCAM versiolle?"
call %temp%\Dlg_ret.bat
if "%Dlg_Ret1%"=="MB_YES" goto version
goto end

:ok
start /w wrun msgbox information yesno defbutton1 "%Title%" "%TaskName%~CLS %ClsVer% lisenssimanagerille.~~Tietokone on kynnistettv uudelleen, ennen kuin korjaus tulee voimaan.~~Haluatko nyt kynnist tietokoneen uudelleen?"
call %temp%\Dlg_ret.bat
if "%Dlg_Ret1%"=="MB_YES" goto reboot
goto start

:reboot
shutdown /r /t 0

:end
